Package java.lang

## Interface CharSequence

- All Known Implementing Classes:
    `String`, `StringBuffer`, `StringBuilder`

      public interface CharSequence

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char` | `charAt​(int index)` | Returns the `char` value at the specified index.
    `int` | `length()` | Returns the length of this character sequence.
    `CharSequence` | `subSequence​(int start, int end)` | Returns a new `CharSequence` that is a subsequence of this sequence.
    `String` | `toString()` | Returns a string containing the characters in this sequence in the same order as this sequence.

- - ### Method Detail

    - #### charAt

          char charAt​(int index)

      Returns the `char` value at the specified index. An index ranges from zero to `length() - 1`. The first `char` value of the sequence is at index zero, the next at index one, and so on, as for array indexing.
      Parameters:
        `index` - the index of the `char` value to be returned
      Returns:
        the specified `char` value
      Throws:
        `IndexOutOfBoundsException` - if the `index` argument is negative or not less than `length()`

    - #### length

          int length()

      Returns the length of this character sequence. The length is the number of 16-bit `char`s in the sequence.
      Returns:
        the number of `char`s in this sequence

    - #### subSequence

          CharSequence subSequence​(int start,
                                   int end)

      Returns a new `CharSequence` that is a subsequence of this sequence. The subsequence starts with the `char` value at the specified index and ends with the `char` value at index `end - 1`. The length (in `char`s) of the returned sequence is `end - start`, so if `start == end` then an empty sequence is returned.
      Parameters:
        `start` - the start index, inclusive
        `end` - the end index, exclusive
      Returns:
        the specified subsequence
      Throws:
        `IndexOutOfBoundsException` - if `start` or `end` are negative, if `end` is greater than `length()`, or if `start` is greater than `end`

    - #### toString

          String toString()

      Returns a string containing the characters in this sequence in the same order as this sequence. The length of the string will be the length of this sequence.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string consisting of exactly this sequence of characters